import request from '@/utils/request'

// 查询破锁管理列表
export function listLock(query) {
  return request({
    url: '/apply/lock/list',
    method: 'get',
    params: query
  })
}
// 查询破锁管理列表
export function listAllLock(query) {
  return request({
    url: '/apply/lock/listAllLock',
    method: 'get',
    params: query
  })
}

// 查询破锁管理列表
export function listLockPid(query) {
  return request({
    url: '/apply/lock/listLockPid',
    method: 'get',
    params: query
  })
}
export function listLockBranch(query) {
  return request({
    url: '/apply/lock/listLockBranch',
    method: 'get',
    params: query
  })
}


// 查询安全阀离线切出申请详细
export function getInfoByLock(lockNo) {
  return request({
    url: '/apply/lock/getInfoByLock/' + lockNo,
    method: 'get'
  })
}


// 查询破锁管理详细
export function getLock(id) {
  return request({
    url: '/apply/lock/' + id,
    method: 'get'
  })
}

// 新增破锁管理
export function addLock(data) {
  return request({
    url: '/apply/lock',
    method: 'post',
    data: data
  })
}

// 修改破锁管理
export function updateLock(data) {
  return request({
    url: '/apply/lock',
    method: 'put',
    data: data
  })
}

// 删除破锁管理
export function delLock(id) {
  return request({
    url: '/apply/lock/' + id,
    method: 'delete'
  })
}

// 导出破锁管理
export function exportLock(query) {
  return request({
    url: '/apply/lock/export',
    method: 'get',
    params: query
  })
}
